!-----------------------BEGIN NOTICE -- DO NOT EDIT-----------------------
! NASA Goddard Space Flight Center Land Information System (LIS) v7.1
!
! Copyright (c) 2015 United States Government as represented by the
! Administrator of the National Aeronautics and Space Administration.
! All Rights Reserved.
!-------------------------END NOTICE -- DO NOT EDIT-----------------------
module LIS_lsmirrigation_pluginMod
!BOP
!
! !MODULE: LIS_lsmirrigation_pluginMod
! 
! !DESCRIPTION: 
!   
! !REVISION HISTORY: 
!  13 Nov 2012    Sujay Kumar  Initial Specification
! 
  implicit none
  
  PRIVATE
!------------------------------------------------------------------------------
! !PUBLIC MEMBER FUNCTIONS:
!------------------------------------------------------------------------------
  PUBLIC :: LIS_lsmirrigation_plugin  
!EOP  

contains
!BOP
! !ROUTINE: LIS_lsmirrigation_plugin
!  \label{LIS_lsmirrigation_plugin}
!
! !DESCRIPTION:
!
!  
! !INTERFACE:
  subroutine LIS_lsmirrigation_plugin
!EOP
    use LIS_pluginIndices
    
    external noah33_getirrigationstates
    external clsmf25_getirrigationstates
!    external noahmp36_getirrigationstates

    call registerlsmirrigationgetstates(trim(LIS_noah33Id)//"+"//&
         trim(LIS_sprinklerIrrigationId)//char(0),noah33_getirrigationstates)

    call registerlsmirrigationgetstates(trim(LIS_clsmf25Id)//"+"//&
         trim(LIS_sprinklerIrrigationId)//char(0),clsmf25_getirrigationstates)

    call registerlsmirrigationgetstates(trim(LIS_noah33Id)//"+"//&
         trim(LIS_floodIrrigationId)//char(0),noah33_getirrigationstates)

    call registerlsmirrigationgetstates(trim(LIS_clsmf25Id)//"+"//&
         trim(LIS_floodIrrigationId)//char(0),clsmf25_getirrigationstates)

    call registerlsmirrigationgetstates(trim(LIS_noah33Id)//"+"//&
         trim(LIS_dripIrrigationId)//char(0),noah33_getirrigationstates)

    call registerlsmirrigationgetstates(trim(LIS_clsmf25Id)//"+"//&
         trim(LIS_dripIrrigationId)//char(0),clsmf25_getirrigationstates)

!  Noah-MP v3.6
!    call registerlsmirrigationgetstates(trim(LIS_noahmp36Id)//"+"//&
!         trim(LIS_sprinklerIrrigationId)//char(0),NoahMP36_getirrigationstates)

!    call registerlsmirrigationgetstates(trim(LIS_noahmp36Id)//"+"//&
!         trim(LIS_floodIrrigationId)//char(0),NoahMP36_getirrigationstates)

!    call registerlsmirrigationgetstates(trim(LIS_noahmp36Id)//"+"//&
!         trim(LIS_dripIrrigationId)//char(0),NoahMP36_getirrigationstates)


  end subroutine LIS_lsmirrigation_plugin

end module LIS_lsmirrigation_pluginMod
