!-----------------------BEGIN NOTICE -- DO NOT EDIT-----------------------
! NASA Goddard Space Flight Center Land Information System (LIS) v7.1
!
! Copyright (c) 2015 United States Government as represented by the
! Administrator of the National Aeronautics and Space Administration.
! All Rights Reserved.
!-------------------------END NOTICE -- DO NOT EDIT-----------------------
#include "LIS_misc.h"
module LIS_lsmrtm_pluginMod
!BOP
!
! !MODULE: LIS_lsmrtm_pluginMod
! 
! !DESCRIPTION: 
!   
! !REVISION HISTORY: 
!  24 Mar 09    Sujay Kumar  Initial Specification
!  15 Sep 10    Yudong Tian; Reistered for CRTM2 
!  20 Oct 10    Yudong Tian; Reistered for CRTM2 EMonly
!  08 Feb 11    Yudong Tian; Reistered for CMEM3 
! 
!EOP  
  implicit none
  PRIVATE
!------------------------------------------------------------------------------
! !PUBLIC MEMBER FUNCTIONS:
!------------------------------------------------------------------------------
  PUBLIC :: LIS_lsmrtm_plugin  
  
contains
!BOP
! !ROUTINE: LIS_lsmtm_plugin
!  \label{LIS_lsmtm_plugin}
!
! !DESCRIPTION:
!
!  
! !INTERFACE:
  subroutine LIS_lsmrtm_plugin
!EOP
#if (defined RTMS)
    use LIS_pluginIndices
    external template_f2t

!    external cat_f2t
!    external cat_sfc2crtm
!    external cat_sfc2cmem3

    external noah33_f2t
    external noah33_sfc2crtm
    external noah33_sfc2cmem3
#if 0
    external noah33_sfc2tauomega
#endif


    external mos_f2t
    external mos_sfc2cmem3

    call registerlsmf2t(trim(LIS_noah33Id)//"+"&
         //trim(LIS_RTMforwardId)//char(0),noah33_f2t)

!    call registerlsm2rtm(trim(LIS_crtmId)//"+"//&
!         trim(LIS_catchId)//char(0), cat_sfc2crtm)
!    call registerlsm2rtm(trim(LIS_crtm2Id)//"+"//&
!         trim(LIS_catchId)//char(0), cat_sfc2crtm)
!    call registerlsm2rtm(trim(LIS_crtm2EMId)//"+"//&
!         trim(LIS_catchId)//char(0), cat_sfc2crtm)
!    call registerlsm2rtm(trim(LIS_cmem3Id)//"+"//&
!         trim(LIS_catchId)//char(0), cat_sfc2cmem3)

    call registerlsm2rtm(trim(LIS_crtmId)//"+"//&
         trim(LIS_noah33Id)//char(0), noah33_sfc2crtm)
    call registerlsm2rtm(trim(LIS_crtm2Id)//"+"//&
         trim(LIS_noah33Id)//char(0), noah33_sfc2crtm)
    call registerlsm2rtm(trim(LIS_crtm2EMId)//"+"//&
         trim(LIS_noah33Id)//char(0), noah33_sfc2crtm)
    call registerlsm2rtm(trim(LIS_cmem3Id)//"+"//&
         trim(LIS_noah33Id)//char(0), noah33_sfc2cmem3)
#if 0
    call registerlsm2rtm(trim(LIS_tauomegaRTMId)//"+"//&
         trim(LIS_noah33Id)//char(0), noah33_sfc2tauomega)
#endif


    call registerlsmf2t(trim(LIS_mosaicId)//"+"&
         //trim(LIS_RTMforwardId)//char(0),mos_f2t)
    call registerlsm2rtm(trim(LIS_cmem3Id)//"+"//&
         trim(LIS_mosaicId)//char(0), mos_sfc2cmem3)
#endif
  end subroutine LIS_lsmrtm_plugin

end module LIS_lsmrtm_pluginMod
